;;;;;;;;;;;;;;;;;;;;;;;;;;;;;<--OGI-->;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;                                                                        ;;
;;             Center for Spoken Language Understanding                   ;;
;;        Oregon Graduate Institute of Science & Technology               ;;
;;                         Portland, OR USA                               ;;
;;                        Copyright (c) 1999                              ;;
;;                                                                        ;;
;;      This module is not part of the CSTR/University of Edinburgh       ;;
;;               release of the Festival TTS system.                      ;;
;;                                                                        ;;
;;  In addition to any conditions disclaimers below, please see the file  ;;
;;  "license_ogi_tts.txt" distributed with this software for information  ;;
;;  on usage and redistribution, and for a DISCLAIMER OF ALL WARRANTIES.  ;;
;;                                                                        ;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;<--OGI-->;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(set! mm3_durs '(
(@ 	0.2388	0.2470)
(A 	0.2458	0.2545)
(i: 	0.2682	0.2952)
(D 	0.1029	0.1182)
(3r 	0.2247	0.2338)
(E 	0.1800	0.1866)
(tS 	0.2673	0.2820)
(I 	0.1456	0.1601)
(aI 	0.3158	0.3332)
(9r 	0.1084	0.1198)
(N 	0.1133	0.1344)
(S 	0.2638	0.2689)
(T 	0.1673	0.1769)
(U 	0.1210	0.1259)
(aU 	0.3098	0.3199)
(Z 	0.1367	0.1442)
(dx 	0.0350	0.0355)
(^ 	0.1420	0.1528)
(b 	0.1181	0.1314)
(d 	0.1193	0.1303)
(oU 	0.2702	0.2926)
(f 	0.1877	0.1951)
(& 	0.0658	0.0693)
(>i 	0.3800	0.3861)
(g 	0.1384	0.1472)
(h 	0.1021	0.1066)
(j 	0.0962	0.1020)
(k 	0.1724	0.1808)
(l 	0.1271	0.1371)
(m 	0.1162	0.1311)
(ei 	0.2875	0.3022)
(n 	0.1200	0.1358)
(p 	0.1622	0.1707)
(s 	0.2182	0.2257)
(t 	0.1745	0.1851)
(u 	0.2871	0.3043)
(v 	0.1143	0.1266)
(w 	0.0987	0.1032)
(z 	0.1864	0.1932)
(dZ 	0.2379	0.2473)
(> 	0.2705	0.2788)
(iU     0.3 0.30) ;; manually added 
(pau    0.1 0.01) ;; manually added 
))


(set! mm3_duration_cart_tree  '

((n.name is pau)
 ((pp.ph_vlng is 0)
  ((ph_ctype is r)
   ((p.ph_vheight is 2)
    ((0.344764 0.716117))
    ((0.289091 0.494794)))
   ((p.ph_vfront is 3)
    ((name is n)
     ((0.451554 -0.338212))
     ((ph_cvox is +)
      ((pp.ph_cplace is l)
       ((0.284026 -0.06579))
       ((ph_ctype is s)
        ((0.21973 -0.0136))
        ((ph_cplace is a)
         ((pp.ph_cplace is a)
          ((0.198952 -0.0448667))
          ((0.32531 0.135106)))
         ((0.33187 0.193725)))))
      ((ph_cplace is a)
       ((p.ph_vheight is 3)
        ((0.19072 0.215706))
        ((0.18638 0.295653)))
       ((p.name is A)
        ((0.222113 0.0528429))
        ((p.ph_vlng is l)
         ((0.289578 0.224807))
         ((0.173501 0.113665)))))))
    ((pp.ph_ctype is 0)
     ((ph_cplace is a)
      ((0.310134 0.524161))
      ((name is i:)
       ((0.239993 0.495263))
       ((name is oU)
        ((0.220548 0.47612))
        ((ph_vrnd is -)
         ((p.ph_cplace is l)
          ((0.118442 0.2861))
          ((p.ph_cplace is a)
           ((0.197092 0.32845))
           ((0.177562 0.455591))))
         ((p.ph_cvox is +)
          ((0.185984 0.315829))
          ((0.302672 0.201596)))))))
     ((p.ph_vlng is s)
      ((ph_ctype is s)
       ((name is g)
        ((p.name is @)
         ((0.191789 0.04175))
         ((0.186876 -0.121858)))
        ((p.name is E)
         ((0.17763 0.290533))
         ((pp.ph_ctype is r)
          ((ph_cplace is l)
           ((0.209114 0.04538))
           ((0.135354 0.203955)))
          ((name is d)
           ((0.10876 0.127569))
           ((pp.ph_cplace is a)
            ((p.name is I)
             ((0.123304 0.24625))
             ((ph_cplace is l)
              ((0.216074 0.220505))
              ((0.148366 0.12285))))
            ((0.147473 0.268519)))))))
       ((name is l)
        ((0.234704 0.669693))
        ((pp.ph_cplace is p)
         ((0.305172 0.59196))
         ((name is S)
          ((0.113905 0.171783))
          ((pp.ph_cvox is +)
           ((pp.ph_ctype is s)
            ((ph_ctype is n)
             ((0.17555 0.77204))
             ((0.376498 0.456333)))
            ((pos_in_syl < 2.2)
             ((p.name is @)
              ((0.182384 0.16885))
              ((ph_cvox is +)
               ((0.41857 0.246611))
               ((0.135631 0.38248))))
             ((0.199862 0.488445))))
           ((pp.ph_ctype is f)
            ((0.409592 0.362828))
            ((0.397435 0.176892))))))))
      ((ph_ctype is n)
       ((p.ph_vfront is 1)
        ((0.499066 -0.32292))
        ((0.340186 0.304084)))
       ((R:SylStructure.parent.syl_codasize is 4)
        ((pp.ph_cvox is +)
         ((0.224553 0.04132))
         ((0.200018 -0.108836)))
        ((ph_cvox is +)
         ((p.ph_vlng is l)
          ((name is l)
           ((0.281231 0.346657))
           ((ph_cplace is a)
            ((0.174391 0.0438643))
            ((0.593262 0.3819))))
          ((name is l)
           ((R:SylStructure.parent.syl_onsetsize is 1)
            ((0.224734 0.224927))
            ((pp.ph_cvox is +)
             ((0.154834 0.139558))
             ((0.218434 -0.0320273))))
           ((0.276769 0.0319658))))
         ((p.name is ei)
          ((ph_cplace is a)
           ((0.0904402 0.401105))
           ((0.175573 0.279485)))
          ((name is p)
           ((0.165418 0.124538))
           ((p.ph_vlng is l)
            ((name is t)
             ((0.0787664 0.219015))
             ((0.164474 0.28824)))
            ((pp.ph_cvox is +)
             ((0.168916 0.231405))
             ((0.137935 0.171475)))))))))))))
  ((name is d)
   ((p.ph_ctype is n)
    ((0.172424 -0.484973))
    ((pp.ph_vlng is d)
     ((0.181135 -0.130836))
     ((pp.ph_vfront is 1)
      ((0.203418 -0.113391))
      ((0.125605 0.09735)))))
   ((p.ph_cvox is +)
    ((p.ph_ctype is n)
     ((ph_cvox is -)
      ((pp.ph_vheight is 1)
       ((0.149839 0.153046))
       ((0.150937 0.043228)))
      ((0.152782 -0.07768)))
     ((p.name is l)
      ((0.244159 0.0701211))
      ((pp.ph_vfront is 3)
       ((0.214763 0.356964))
       ((0.244435 0.170147)))))
    ((ph_ctype is f)
     ((0.145928 0.230054))
     ((name is t)
      ((p.name is s)
       ((0.100822 -0.225974))
       ((0.160661 -0.275295)))
      ((0.13733 -0.0525538)))))))
 ((n.ph_cvox is +)
  ((nn.ph_ctype is 0)
   ((nn.ph_vc is +)
    ((p.seg_onsetcoda is coda)
     ((nn.ph_vheight is 1)
      ((ph_cplace is v)
       ((0.317758 0.25884))
       ((0.273723 0.08888)))
      ((nn.ph_vfront is 1)
       ((R:SylStructure.parent.syl_codasize is 2)
        ((0.267909 -0.0343833))
        ((0.492621 0.152358)))
       ((R:SylStructure.parent.syl_codasize is 3)
        ((0.195155 -0.120808))
        ((0.256439 -0.0454735)))))
     ((nn.ph_vheight is 1)
      ((0.309624 -0.25748))
      ((0.116633 -0.419192))))
    ((n.name is l)
     ((p.ph_ctype is r)
      ((0.129481 -0.1078))
      ((ph_vlng is s)
       ((0.164795 0.10235))
       ((pp.ph_vfront is 1)
        ((0.234327 0.06759))
        ((ph_vfront is 2)
         ((0.190305 -0.101873))
         ((p.ph_cvox is +)
          ((0.120682 0.0416647))
          ((ph_vfront is 1)
           ((0.109287 -0.07418))
           ((0.14799 -0.0133))))))))
     ((ph_ctype is f)
      ((0.224729 -0.315692))
      ((n.name is z)
       ((p.ph_vlng is s)
        ((0.322357 0.646625))
        ((pos_in_syl < 1.2)
         ((ph_vrnd is -)
          ((p.ph_cplace is a)
           ((0.328057 0.424008))
           ((0.232856 0.598215)))
          ((0.281948 0.323022)))
         ((0.626075 -0.02539))))
       ((p.name is d)
        ((0.392524 0.493994))
        ((pos_in_syl < 1.2)
         ((p.ph_ctype is r)
          ((ph_vheight is 2)
           ((0.187737 -0.0205684))
           ((ph_vlng is s)
            ((0.348451 0.240236))
            ((0.129155 0.0647333))))
          ((ph_vlng is s)
           ((n.name is 9r)
            ((0.241775 0.502323))
            ((p.ph_ctype is f)
             ((n.ph_cplace is a)
              ((0.197956 0.262621))
              ((0.19925 0.0969421)))
             ((n.ph_cplace is v)
              ((0.324731 0.440686))
              ((p.ph_cvox is +)
               ((p.ph_cplace is a)
                ((0.229852 0.24061))
                ((0.164636 0.358289)))
               ((n.ph_cplace is a)
                ((0.161643 0.255847))
                ((0.12901 0.16962)))))))
           ((n.name is n)
            ((ph_vfront is 2)
             ((0.185162 0.06495))
             ((p.ph_ctype is s)
              ((0.272462 0.466218))
              ((0.282335 0.253892))))
            ((name is oU)
             ((0.191439 -0.01045))
             ((name is A)
              ((0.137873 0.262665))
              ((ph_vheight is 3)
               ((0.101691 0.0623083))
               ((p.ph_cvox is -)
                ((0.160593 0.116621))
                ((n.ph_ctype is s)
                 ((0.254349 0.137275))
                 ((0.145125 0.33321))))))))))
         ((n.ph_ctype is n)
          ((ph_vfront is 1)
           ((0.15879 0.00745454))
           ((0.337516 -0.11872)))
          ((ph_ctype is n)
           ((0.303665 -0.0324077))
           ((ph_cplace is a)
            ((0.328415 0.29847))
            ((0.173964 0.128065)))))))))))
   ((R:SylStructure.parent.syl_break is 0)
    ((p.ph_cvox is +)
     ((0.100308 -0.551727))
     ((0.0884055 -0.38911)))
    ((nn.ph_cvox is +)
     ((n.name is l)
      ((0.234602 -0.158305))
      ((pp.ph_ctype is 0)
       ((ph_vlng is s)
        ((p.ph_cvox is +)
         ((0.294765 0.386767))
         ((0.296531 0.10633)))
        ((n.ph_ctype is n)
         ((0.252342 0.162524))
         ((0.230491 -0.00914))))
       ((0.318344 -0.0255929))))
     ((ph_vfront is 1)
      ((p.ph_cplace is a)
       ((0.17404 -0.199744))
       ((n.name is N)
        ((0.276476 0.01518))
        ((0.15844 -0.173891))))
      ((nn.ph_cplace is a)
       ((0.0748858 -0.45492))
       ((0.14509 -0.338117)))))))
  ((p.name is pau)
   ((name is d)
    ((nn.ph_cvox is +)
     ((n.ph_vfront is 1)
      ((0.520815 0.356569))
      ((0.369927 0.0490929)))
     ((0.541548 0.654227)))
    ((n.name is @)
     ((nn.ph_ctype is f)
      ((0.112166 -0.257174))
      ((ph_cvox is +)
       ((nn.ph_cplace is v)
        ((0.181412 -0.182433))
        ((ph_ctype is n)
         ((0.196893 -0.18009))
         ((0.273595 -0.0448645))))
       ((nn.ph_cplace is v)
        ((0.241425 -0.08336))
        ((nn.ph_cplace is a)
         ((ph_ctype is s)
          ((0.106223 -0.220636))
          ((0.160418 -0.15284)))
         ((nn.ph_ctype is n)
          ((0.0501852 -0.28776))
          ((0.0757426 -0.24109)))))))
     ((n.ph_vlng is s)
      ((ph_ctype is a)
       ((0.278332 -0.188))
       ((name is w)
        ((nn.ph_cvox is +)
         ((0.269685 0.242356))
         ((0.182955 0.08975)))
        ((n.ph_vheight is 1)
         ((name is l)
          ((0.165993 0.179921))
          ((nn.ph_ctype is l)
           ((0.338659 0.195036))
           ((ph_ctype is r)
            ((0.354902 0.09624))
            ((ph_cvox is +)
             ((name is m)
              ((0.159883 0.0602273))
              ((0.262194 -0.210933)))
             ((ph_cplace is a)
              ((0.207182 0.0698062))
              ((0.26864 -0.0415267)))))))
         ((ph_cplace is a)
          ((nn.ph_cvox is +)
           ((n.name is E)
            ((0.140918 -0.0209214))
            ((0.180618 -0.105842)))
           ((n.name is E)
            ((0.156941 0.16203))
            ((0.194125 0.04717))))
          ((R:SylStructure.parent.syl_codasize is 3)
           ((0.416153 0.00352273))
           ((nn.ph_ctype is s)
            ((ph_cvox is +)
             ((0.548118 0.344557))
             ((0.448793 0.13203)))
            ((ph_ctype is f)
             ((0.197014 0.17809))
             ((0.274089 0.0349174)))))))))
      ((ph_ctype is n)
       ((n.ph_vheight is 3)
        ((0.206751 -0.13709))
        ((n.ph_vlng is d)
         ((0.222514 -0.243079))
         ((0.281178 -0.50405))))
       ((n.seg_onsetcoda is coda)
        ((name is tS)
         ((0.205052 -0.282975))
         ((ph_cplace is l)
          ((n.ph_vheight is 2)
           ((nn.ph_cplace is a)
            ((0.348615 0.251348))
            ((0.32406 0.0465125)))
           ((n.ph_vrnd is +)
            ((0.446988 0.15671))
            ((name is p)
             ((0.283993 0.00909167))
             ((0.317792 -0.121397)))))
          ((name is 9r)
           ((n.ph_vheight is 2)
            ((0.149072 0.0159667))
            ((n.ph_vfront is 3)
             ((0.210879 0.142333))
             ((0.134648 0.0521769))))
           ((name is g)
            ((0.448246 0.0939937))
            ((ph_cvox is +)
             ((n.name is ei)
              ((0.206082 0.0556077))
              ((ph_ctype is f)
               ((0.307581 -0.382643))
               ((n.ph_vfront is 3)
                ((0.178894 -0.184279))
                ((nn.ph_cvox is +)
                 ((0.182422 -0.03291))
                 ((0.116039 0.0369133))))))
             ((n.name is >)
              ((0.274527 0.0933312))
              ((name is k)
               ((n.name is oU)
                ((0.394519 0.0195273))
                ((0.204888 -0.153939)))
               ((nn.ph_cplace is l)
                ((0.325951 0.121055))
                ((nn.ph_ctype is n)
                 ((0.211442 -0.141154))
                 ((name is f)
                  ((0.136686 0.059295))
                  ((name is t)
                   ((0.343281 -0.103038))
                   ((nn.ph_cvox is +)
                    ((0.146403 -0.0877773))
                    ((n.ph_vheight is 2)
                     ((0.140537 0.07055))
                     ((nn.ph_ctype is 0)
                      ((0.15839 -0.0342316))
                      ((0.113916 0.0324133))))))))))))))))
        ((nn.ph_vheight is 2)
         ((0.0955371 -0.110158))
         ((nn.ph_cplace is a)
          ((0.10207 -0.2067))
          ((0.105453 -0.243058)))))))))
   ((ph_vlng is s)
    ((n.ph_ctype is f)
     ((p.ph_ctype is r)
      ((0.10531 -0.200994))
      ((nn.ph_ctype is 0)
       ((p.ph_ctype is s)
        ((0.131193 0.0930688))
        ((0.0757034 0.0184529)))
       ((p.ph_cplace is a)
        ((0.0906272 -0.09578))
        ((0.147882 0.00272632)))))
     ((p.ph_ctype is r)
      ((R:SylStructure.parent.syl_onsetsize is 1)
       ((0.0912058 -0.357338))
       ((0.143323 -0.458425)))
      ((ph_vrnd is -)
       ((R:SylStructure.parent.position_type is initial)
        ((0.165236 -0.401591))
        ((p.ph_cplace is l)
         ((p.name is p)
          ((0.0770876 -0.133577))
          ((0.122171 -0.0548)))
         ((n.name is t)
          ((p.ph_cplace is a)
           ((0.105675 -0.23265))
           ((0.15773 -0.153256)))
          ((p.ph_ctype is f)
           ((0.0854287 -0.312655))
           ((p.ph_cvox is +)
            ((0.0915225 -0.204678))
            ((0.0889003 -0.259714)))))))
       ((0.162716 0.00366154)))))
    ((R:SylStructure.parent.syl_break is 0)
     ((R:SylStructure.parent.syl_codasize is 3)
      ((n.name is &)
       ((0.10078 -0.6687))
       ((0.10339 -0.600192)))
      ((nn.ph_ctype is n)
       ((0.352035 -0.27353))
       ((n.ph_vheight is 2)
        ((ph_ctype is s)
         ((0.13728 -0.51248))
         ((0.142198 -0.3513)))
        ((0.139213 -0.558753)))))
     ((n.ph_vheight is 3)
      ((p.name is k)
       ((0.156964 -0.557135))
       ((ph_ctype is s)
        ((0.100312 -0.455675))
        ((0.132776 -0.399336))))
      ((name is s)
       ((pp.ph_cplace is a)
        ((0.0958072 -0.26669))
        ((pp.ph_cplace is l)
         ((0.0940993 -0.2224))
         ((0.161677 -0.126945))))
       ((p.name is b)
        ((n.ph_ctype is s)
         ((0.131682 -0.245218))
         ((0.13889 -0.151207)))
        ((n.ph_ctype is f)
         ((name is t)
          ((0.175655 -0.507827))
          ((n.name is f)
           ((0.109173 -0.353638))
           ((ph_cvox is -)
            ((0.207681 -0.309288))
            ((ph_vfront is 1)
             ((0.0496466 -0.266682))
             ((ph_vheight is 3)
              ((0.130918 -0.210133))
              ((0.380948 -0.0337636)))))))
         ((p.ph_vheight is 2)
          ((ph_ctype is n)
           ((0.156334 -0.29105))
           ((0.133077 -0.21216)))
          ((name is A)
           ((0.10385 -0.254094))
           ((ph_ctype is n)
            ((pp.ph_cvox is +)
             ((0.133539 -0.522177))
             ((0.0785397 -0.416494)))
            ((p.ph_vheight is 1)
             ((0.10481 -0.20728))
             ((pp.ph_ctype is s)
              ((0.115913 -0.5023))
              ((ph_ctype is s)
               ((n.ph_vheight is 2)
                ((0.130855 -0.539955))
                ((0.142093 -0.367223)))
               ((p.ph_ctype is n)
                ((0.153821 -0.2731))
                ((ph_vheight is 1)
                 ((p.ph_cvox is +)
                  ((0.0751017 -0.418869))
                  ((0.0520903 -0.44436)))
                 ((nn.ph_ctype is s)
                  ((0.132271 -0.441564))
                  ((ph_vlng is d)
                   ((p.ph_ctype is r)
                    ((0.0714252 -0.429783))
                    ((p.ph_cvox is +)
                     ((0.0913142 -0.35145))
                     ((0.066144 -0.407025))))
                   ((name is l)
                    ((n.ph_vlng is s)
                     ((0.171234 -0.25618))
                     ((0.161037 -0.468757)))
                    ((ph_ctype is r)
                     ((0.151622 -0.303179))
                     ((0.255156 -0.199618)))))))))))))))))))))))
;; RMSE 0.2777 Correlation is 0.6360 Mean (abs) Error 0.1944 (0.1986)
)


(provide 'mm3_durs.scm)

